Bug 624001 - geos-devel.i686 clashes with geos-devel.x86_64
Summary: geos-devel.i686 clashes with geos-devel.x86_64
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: geos   
(Show other bugs)
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Devrim Gündüz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-13 11:54 UTC by Sjoerd Mullender
Modified: 2012-08-16 18:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:00:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sjoerd Mullender 2010-08-13 11:54:13 UTC
Description of problem:
When attempting to install the 32 bit version of geos-devel on a 64 bit system, yum reports an error for conflicting files.  It doesn't matter whether the 64-bit version is installed or not (in the latter case, you need to install both at the same time).
It is useful to be able to have both installed in order to build 32-bit versions of applications on a 64 bit system.

Version-Release number of selected component (if applicable):
3.2.1-1.fc12

How reproducible:
100%

Steps to Reproduce:
1.yum install geos-devel.x86_64 geos-devel.i686
2.
3.
  
Actual results:
Transaction Check Error:
  file /usr/bin/geos-config from install of geos-devel-3.2.1-1.fc12.i686 conflicts with file from package geos-devel-3.2.1-1.fc12.x86_64


Expected results:
Successful installation.

Additional info:

Comment 1 Bug Zapper 2010-11-03 10:59:26 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Sjoerd Mullender 2010-11-03 13:11:47 UTC
Still a problem in Fedora 14.

Comment 3 Fedora End Of Life 2012-08-16 18:00:10 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.